;fm2.orc
	sr	=	44100
	kr	=	4410
	ksmps	=	10
	nchnls	=	1
	instr	1
;      I OSCILLATORE MODULANTE
imfrq	 	=	p4	;frequenza I osc. modulante
indmax		=	p5	;indice di modulazione massimo
indxatk	= 	p6	;tempo di attacco inviluppo indice di modulazione  		
indxperc	=	p7	;percentuale di diminuzione di indmax durante la fase di decay.
				;Tale percentuale  espressa in decimali: es .80=80%
				;Per es. se indmax =100, nella fase di attacco lindice di 	;modulazione andr da 0 a 100 nel tempo indxatk. Se indxperc = .80, nella fase di 		;decay lindice di modulazione diminuir a 80, se invece indxperc=1 				
	;non vi sar un decay ma un sustain in quanto il valore  rimane 					;invariato, se  indxperc=1.2, vi sar un ulteriore aumento dellindice, 
	;il cui valore crescer fino a 120. Questa seconda fase, di decay,sustain o ulteriore 
	;aumento avverr nel tempo p3-indxatk-indxrel, cio il tempo della nota meno il tempo
	;assegnato allattacco e allestinzione. Nellultima fase il valore ridiscende a 0 
	;nel tempo indxrel (al posto dello 0 scriviamo 0.001 perch abbiamo costruito questi 
	;inviluppi tramite lopcode expseg, vedi cap.I).

indxrel	=	p8	;tempo di estinzione 

;inviluppo indice di modulazione 
kindxenv expseg .001,indxatk, indmax, p3-indxatk-indxrel,indmax * indxperc,indxrel,.001

;      II OSCILLATORE MODULANTE
imfrq2		=	p9	; frequenza II modulante 
indmax2	=	p10	; indice di modulazione massimo
indxatk2	= 	p11	; tempo di attacco inviluppo indice di modulazione II 		
indxperc2	=	p12	; percentuale di diminuzione dellindice di modulazione
indxrel2	=	p13	; tempo di estinzione

;inviluppo indice di modulazione 
kindxenv2 expseg .001,indxatk2,indmax2,p3-indxatk2-indxrel2,indmax2 * \
indxperc2,indxrel2,.001


;	OSCILLATORE PORTANTE
icamp	 	=	p14	;ampiezza portante (unit assolute)
icfrq	 	=	p15	;frequenza portante (Hz)
iatk		=	p16	;tempo di attacco dellinviluppo di ampiezza
iperc		=	p17	;percentuale di diminuzione dellampiezza durante la seconda fase
irel		=	p18	;tempo di estinzione 

;inviluppo di ampiezza osc. portante
kenvc	expseg	 .001,iatk, icamp, p3-iatk-irel,icamp * iperc,irel,.001

amod1		oscili	kindxenv*imfrq,imfrq,1		; I   OSC. MODULANTE
amod2		oscili	kindxenv2*imfrq2,imfrq2,1		; II  OSC. MODULANTE
acar		oscili	kenvc,icfrq+amod1+amod2,1		; OSC. PORTANTE
	
out	acar
	endin
 
