;vector1.orc
	sr = 44100
	kr = 4410
	ksmps = 10
	nchnls = 1

	instr	1
ifrq	=	200
iamp	=	10000
ka	init	0
kenv	linen	iamp, 1,p3, 1	
a1	oscili	kenv, ifrq, 1	;tabella 1=sinusoide
a2	oscili	kenv, ifrq, 2	;tabella 2
a3	oscili	kenv, ifrq, 3	;tabella 3
a4	oscili	kenv, ifrq, 4	;tabella 4
kx	=	sin(ka)		;componente x (a1/a2, a3/a4)
ky	=	cos(ka)		;componente y (a1/a3, a2/a4)
ka	=	ka + .0002	;incremento per sin, cos
k1	=	(1-kx)*(1-ky)	;componenti di ampiezza dei singoli suoni
k2	=	kx*(1-ky)
k3	=	(1-kx)*ky
k4	=	kx*ky
aout	=	a1*k1 + a2*k2 + a3*k3 + a4*k4
	out	aout
	endin
 
	instr	2
ifrq	=	200
iamp	=	5000
ka	init	0
kenv	linen	iamp, 1,p3, 1
a1	oscili	kenv, ifrq*2.5, 1		;tabella 1=sinusoide
a2	foscili	kenv, ifrq, 1, 1.13, 5, 1	;FM
a3	loscil	kenv, ifrq, 5, 220, 1, 0, 40000	;piano.aiff
a4	oscili	kenv, ifrq*1.5, 4		;tabella 4
kx	=	sin(ka)		;componente x (a1/a2, a3/a4)
ky	=	cos(ka)		;componente y (a1/a3, a2/a4)
ka	=	ka + .0002	;incremento per sin, cos
k1	=	(1-kx)*(1-ky)	;componenti di ampiezza dei singoli suoni
k2	=	kx*(1-ky)
k3	=	(1-kx)*ky
k4	=	kx*ky
aout	=	a1*k1 + a2*k2 + a3*k3 + a4*k4
	out	aout
	endin

